## bomi 0.9.11mx15+1

=== Makefile ===
os := linux
install_file := install -m 644
install_exe := install -m 755
install_dir := install -d -m 755
install_all := sh install_dir.sh
pkg_config_path := /home/tim/bomi/bomi-0.9.11/build/lib/pkgconfig:/opt/ffmpeg-bomi/lib/pkgconfig:/opt/libass-bomi/lib/pkgconfig:

prefix := /usr
qmake := qmake -spec linux-g++ BOMI_RELEASE=1
lrelease := lrelease
bin_dir := /usr/bin
DATADIR := /usr/share
comp_dir := /usr/share/bash-completion/completions
man_dir := /usr/share/man
icon_dir := /usr/share/icons/hicolor
app_dir := /usr/share/applications
action_dir := /usr/share/apps/solid/actions
skin_dir := /usr/share/bomi/skins
trans_dir := /usr/share/bomi/translations
import_dir := /usr/share/bomi/imports
njobs := 2
qt_sdk := 
macdeployqt := 

export PATH := /usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/X11

ifeq ($(os),osx)
	bomi_exec := bomi
	bomi_exec_dir := build/$(bomi_exec).app/Contents/MacOS
else
	bomi_exec := bomi
	bomi_exec_dir := build/$(bomi_exec)
endif

bomi_exec_path := $(bomi_exec_dir)/$(bomi_exec)

bomi: build/$(bomi_exec_path)

build/$(bomi_exec_path): mpv skins imports translations
	cd src/bomi && $(qmake) bomi.pro && $(MAKE) -j$(njobs) release
ifeq ($(os),osx)
	cp -r build/skins $(bomi_exec_dir)
	cp -r build/imports $(bomi_exec_dir)
endif

bomi-bundle: bomi
	cp -r $(qt_sdk)/qml/QtQuick.2 $(bomi_exec_dir)/imports
	$(install_dir) $(bomi_exec_dir)/imports/QtQuick
	cp -r $(qt_sdk)/qml/QtQuick/Controls $(bomi_exec_dir)/imports/QtQuick
	cp -r $(qt_sdk)/qml/QtQuick/Layouts $(bomi_exec_dir)/imports/QtQuick
	cp -r /usr/local/Cellar/libquvi/0.4.1/libquvi-scripts/share/libquvi-scripts/lua $(bomi_exec_dir)
#	rm `find $(bomi_exec_dir) -name '*_debug.dylib'`
#	cd build && $(macdeployqt) $(bomi_exec).app
#	./fix-dep
	cd build && $(macdeployqt) $(bomi_exec).app -dmg

build/lib/libmpv.a: build-mpv
	@./build-mpv

mpv: build/lib/libmpv.a

build/skins: build
	$(install_dir) build/skins

build/imports: build
	$(install_dir) build/imports

build/translations: build
	$(install_dir) build/translations

skins: build/skins
	$(install_all) src/bomi/skins build/skins

imports: build/imports
	$(install_all) src/bomi/imports build/imports

translations: build/translations
	$(lrelease) src/bomi/translations/*.ts
	$(install_file) src/bomi/translations/*.qm build/translations

build:
	$(install_dir) build

clean:
	-cd src/mpv && ./waf uninstall
	-cd src/mpv && ./waf clean
	-cd src/mpv && ./waf distclean
	-cd src/bomi && make clean
	-cd src/bomi && rm -rf Makefile* debug release
	-rm -rf build/bomi*
	-rm -rf build/bomi*
	-rm -rf build/skins
	-rm -rf build/imports
	-rm -f bomi.1.gz

install: bomi
ifeq ($(os),linux)
	$(install_dir) $(DEST_DIR)$(bin_dir)
	$(install_dir) $(DEST_DIR)$(app_dir)
	$(install_dir) $(DEST_DIR)$(action_dir)
	$(install_dir) $(DEST_DIR)$(comp_dir)
	$(install_dir) $(DEST_DIR)$(man_dir)/man1
	$(install_dir) $(DEST_DIR)$(icon_dir)/16x16/apps
	$(install_dir) $(DEST_DIR)$(icon_dir)/22x22/apps
	$(install_dir) $(DEST_DIR)$(icon_dir)/24x24/apps
	$(install_dir) $(DEST_DIR)$(icon_dir)/32x32/apps
	$(install_dir) $(DEST_DIR)$(icon_dir)/48x48/apps
	$(install_dir) $(DEST_DIR)$(icon_dir)/64x64/apps
	$(install_dir) $(DEST_DIR)$(icon_dir)/128x128/apps
	$(install_dir) $(DEST_DIR)$(icon_dir)/256x256/apps
	$(install_dir) $(DEST_DIR)$(skin_dir)
	$(install_dir) $(DEST_DIR)$(import_dir)
	$(install_dir) $(DEST_DIR)$(trans_dir)
#	$(install_dir) $(DEST_DIR)$(icon_dir)/scalable/apps
	$(install_exe) build/$(bomi_exec) $(DEST_DIR)$(bin_dir)
	$(install_file) bomi.desktop $(DEST_DIR)$(app_dir)
	$(install_file) bomi-opendvd.desktop $(DEST_DIR)$(action_dir)
	$(install_file) bomi.completion $(DEST_DIR)$(comp_dir)/bomi
	gzip -cf bomi.1 > bomi.1.gz
	$(install_file) bomi.1.gz $(DEST_DIR)$(man_dir)/man1/bomi.1.gz
	$(install_file) icons/bomi16.png $(DEST_DIR)$(icon_dir)/16x16/apps/bomi.png
	$(install_file) icons/bomi22.png $(DEST_DIR)$(icon_dir)/22x22/apps/bomi.png
	$(install_file) icons/bomi24.png $(DEST_DIR)$(icon_dir)/24x24/apps/bomi.png
	$(install_file) icons/bomi32.png $(DEST_DIR)$(icon_dir)/32x32/apps/bomi.png
	$(install_file) icons/bomi48.png $(DEST_DIR)$(icon_dir)/48x48/apps/bomi.png
	$(install_file) icons/bomi64.png $(DEST_DIR)$(icon_dir)/64x64/apps/bomi.png
	$(install_file) icons/bomi128.png $(DEST_DIR)$(icon_dir)/128x128/apps/bomi.png
	$(install_file) icons/bomi256.png $(DEST_DIR)$(icon_dir)/256x256/apps/bomi.png
#	$(install_file) icons/bomi.svg $(DEST_DIR)$(icon_dir)/scalable/apps/bomi.svg
	$(install_all) build/skins $(DEST_DIR)$(skin_dir)
	$(install_all) build/imports $(DEST_DIR)$(import_dir)
	$(install_file) build/translations/* $(DEST_DIR)$(trans_dir)
else
	mv build/$(bomi_exec).app $(DEST_DIR)$(prefix)
endif

.PHONY: bomi mpv clean skins imports install

=== src/mpv/wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from waflib.Configure import conf
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

build_options = [
    {
        'name': '--cplayer',
        'desc': 'mpv CLI player',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--libmpv-shared',
        'desc': 'shared library',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--libmpv-static',
        'desc': 'static library',
        'default': 'disable',
        'deps_neg': [ 'libmpv-shared' ],
        'func': check_true
    }, {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--optimize',
        'desc': 'whether to optimize',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2PDF'),
        'default': 'disable',
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': 'dlopen',
        'desc': 'dlopen',
        'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--vf-dlopen-filters',
        'desc': 'compilation of default filters for vf_dlopen',
        'deps': [ 'dlopen' ],
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--zsh-comp',
        'desc': 'zsh completion',
        'func': check_true,
        'default': 'disable',
    }, {
        # does nothing - left for backward and forward compatibility
        'name': '--asm',
        'desc': 'inline assembly (currently without effect)',
        'default': 'enable',
        'func': check_true,
    }, {
        'name': '--test',
        'desc': 'test suite (using cmocka)',
        'func': check_pkg_config('cmocka', '>= 0.4.1'),
        'default': 'disable',
    }, {
        'name': '--clang-database',
        'desc': 'generate a clang compilation database',
        'func': check_true,
        'default': 'disable',
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'mingw',
        'desc': 'MinGW',
        'deps': [ 'os-win32' ],
        'func': check_statement('stddef.h', 'int x = __MINGW32__;'
                                            'int y = __MINGW64_VERSION_MAJOR'),
    }, {
        'name': 'posix',
        'desc': 'POSIX environment',
        # This should be good enough.
        'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
            'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
    }, {
        'name': 'posix-or-mingw',
        'desc': 'development environment',
        'deps_any': [ 'posix', 'mingw' ],
        'func': check_true,
        'req': True,
        'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                'or compiler does not work.',
    }, {
        'name': 'win32',
        'desc': 'win32',
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_cc(lib=['winmm', 'gdi32', 'ole32', 'uuid']),
    }, {
        'name': '--win32-internal-pthreads',
        'desc': 'internal pthread wrapper for win32 (Vista+)',
        'deps_neg': [ 'posix' ],
        'deps': [ 'win32' ],
        'func': check_true,
        'default': 'disable',
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        'name': 'stdatomic',
        'desc': 'stdatomic.h',
        'func': check_libs(['atomic'],
            check_statement('stdatomic.h',
                'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                'int test2 = atomic_load(&test)'))
    }, {
        'name': 'atomic-builtins',
        'desc': 'compiler support for __atomic built-ins',
        'func': check_libs(['atomic'],
            check_statement('stdint.h',
                'int64_t test = 0;'
                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)')),
        'deps_neg': [ 'stdatomic' ],
    }, {
        'name': 'sync-builtins',
        'desc': 'compiler support for __sync built-ins',
        'func': check_statement('stdint.h',
                    'int64_t test = 0;'
                    '__typeof__(test) x = ({int a = 1; a;});'
                    'test = __sync_add_and_fetch(&test, 1)'),
        'deps_neg': [ 'stdatomic', 'atomic-builtins' ],
    }, {
        'name': 'atomics',
        'desc': 'compiler support for usable thread synchronization built-ins',
        'func': check_true,
        'deps_any': ['stdatomic', 'atomic-builtins', 'sync-builtins'],
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': [ 'pthreads' ],
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--waio',
        'desc': 'libwaio for win32',
        'deps': [ 'os-win32', 'mingw' ],
        'func': check_libs(['waio'],
                    check_statement('waio/waio.h', 'waio_alloc(0, 0, 0, 0)')),
    }, {
        'name': '--termios',
        'desc': 'termios',
        'func': check_headers('termios.h', 'sys/termios.h'),
    }, {
        'name': '--shm',
        'desc': 'shm',
        'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
            'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
    }, {
        'name': 'nanosleep',
        'desc': 'nanosleep',
        'func': check_statement('time.h', 'nanosleep(0,0)')
    }, {
        'name': 'posix-spawn',
        'desc': 'POSIX spawnp()/kill()',
        'func': check_statement(['spawn.h', 'signal.h'],
            'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
        'deps_neg': ['mingw'],
    }, {
        'name': 'subprocess',
        'desc': 'posix_spawnp() or MinGW',
        'func': check_true,
        'deps_any': ['posix-spawn', 'mingw'],
    }, {
        'name': 'glob',
        'desc': 'glob()',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
    }, {
        'name': 'glob-win32-replacement',
        'desc': 'glob() win32 replacement',
        'deps_neg': [ 'glob' ],
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': 'fchmod',
        'desc': 'fchmod()',
        'func': check_statement('sys/stat.h', 'fchmod(0, 0)'),
    }, {
        'name': 'vt.h',
        'desc': 'vt.h',
        'func': check_statement(['sys/vt.h', 'sys/ioctl.h'],
                                'int m; ioctl(0, VT_GETMODE, &m)'),
    }, {
        'name': 'glibc-thread-name',
        'desc': 'GLIBC API for setting thread name',
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'osx-thread-name',
        'desc': 'OSX API for setting thread name',
        'deps_neg': [ 'glibc-thread-name' ],
        'func': check_statement('pthread.h',
                                'pthread_setname_np("ducks")', use=['pthreads']),
    }, {
        'name': 'bsd-thread-name',
        'desc': 'BSD API for setting thread name',
        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name' ],
        'func': check_statement(['pthread.h', 'pthread_np.h'],
                                'pthread_set_name_np(pthread_self(), "ducks")',
                                use=['pthreads']),
    }, {
        'name': 'netbsd-thread-name',
        'desc': 'NetBSD API for setting thread name',
        'deps_neg': [ 'glibc-thread-name', 'osx-thread-name', 'bsd-thread-name' ],
        'func': check_statement('pthread.h',
                                'pthread_setname_np(pthread_self(), "%s", (void *)"ducks")',
                                use=['pthreads']),
    }, {
        'name': 'bsd-fstatfs',
        'desc': "BSD's fstatfs()",
        'func': check_statement(['sys/param.h', 'sys/mount.h'],
                                'struct statfs fs; fstatfs(0, &fs); fs.f_fstypename')
    }, {
        'name': 'linux-fstatfs',
        'desc': "Linux's fstatfs()",
        'deps': [ 'os-linux' ],
        'func': check_statement('sys/vfs.h',
                                'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
    }, {
        'name': '--libguess',
        'desc': 'libguess support',
        'func': check_pkg_config('libguess', '>= 1.0'),
    }, {
        'name': '--libsmbclient',
        'desc': 'Samba support',
        'deps': [ 'libdl' ],
        'func': check_pkg_config('smbclient'),
        'module': 'input',
    }, {
        'name' : '--lua',
        'desc' : 'Lua',
        'func': check_lua,
    }, {
        'name': '--libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass', '>= 0.12.1'),
        'req': True,
        'fmsg': "Unable to find development files for libass, or the version " +
                "found is too old. Aborting. If you really mean to compile " +
                "without libass support use --disable-libass."
    }, {
        'name': '--libass-osd',
        'desc': 'libass OSD support',
        'deps': [ 'libass' ],
        'func': check_true,
    }, {
        'name': 'dummy-osd',
        'desc': 'dummy OSD support',
        'deps_neg': [ 'libass-osd' ],
        'func': check_true,
    } , {
        'name': 'zlib',
        'desc': 'zlib',
        'func': check_libs(['z'],
                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
        'req': True,
        'fmsg': 'Unable to find development files for zlib.'
    } , {
        'name' : '--encoding',
        'desc' : 'Encoding',
        'func': check_true,
    }, {
        'name': '--libbluray',
        'desc': 'Bluray support',
        'func': check_pkg_config('libbluray', '>= 0.3.0'),
    }, {
        'name': '--dvdread',
        'desc': 'dvdread support',
        'func': check_pkg_config('dvdread', '>= 4.1.0'),
    }, {
        'name': '--dvdnav',
        'desc': 'dvdnav support',
        'deps': [ 'dvdread' ],
        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
    }, {
        'name': '--cdda',
        'desc': 'cdda support (libcdio)',
        'func': check_pkg_config('libcdio_paranoia'),
    }, {
        'name': '--enca',
        'desc': 'ENCA support',
        'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
    }, {
        'name': '--ladspa',
        'desc': 'LADSPA plugin support',

=== debian/changelog ===
bomi (0.9.11mx15+1) mx; urgency=low

  * Repackaged for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sun, 22 Jan 2017 09:16:28 -0500

bomi (0.9.11ppa1~trusty1) trusty; urgency=low

  * upstream release

 -- Byoung-young Lee (xylosper) <darklin20@gmail.com>  Wed, 20 May 2015 18:35:37 +0900

=== debian/control ===
Source: bomi
Section: graphics
Priority: optional
Maintainer: Byoung-young Lee (xylosper) <darklin20@gmail.com>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), pkg-config
 , qt5-qmake, qttools5-dev-tools, qtbase5-dev (>= 5.2.0), qtdeclarative5-dev
 , libqt5x11extras5-dev, libqt5svg5-dev, python, libbluray-dev
 , libass-dev, libenca-dev, libfontconfig1-dev, libfreetype6-dev, libfribidi-dev, libharfbuzz-dev
 , yasm, zlib1g-dev, libx11-dev, libdvdread-dev, libdvdnav-dev
 , libcdio-dev, libcdio-paranoia-dev, libcdio-cdda-dev
 , libasound2-dev, libva-dev, libvdpau-dev, libchardet
 , libbz2-dev, libjack-dev, libavfilter-dev, libmpv-dev
 , libpulse-dev, libxcb-icccm4-dev, libgnutls28-dev, libsmbclient-dev
 , libxcb-util0-dev, libxcb-randr0-dev, libxcb-screensaver0-dev
 , libxcb-xtest0-dev, libsmbclient-dev, qt5-default, ffmpeg, libx264-dev, libvorbis-dev, libvpx-dev, libmp3lame-dev, g++-4.9

Package: bomi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 , libqt5svg5, libqt5sql5-sqlite, qml-module-qtquick2, qml-module-qtquick-controls, qml-module-qtquick-layouts
Recommends: youtube-dl
Conflicts: cmplayer
Description: bomi - a multimedia player
 bomi is a multimedia player.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_install:
	make DEST_DIR=debian/bomi install

override_dh_shlibdeps:
	dh_shlibdeps -- --ignore-missing-info

## bomi 0.9.11mx19

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 install_exe := install -m 755
 install_dir := install -d -m 755
 install_all := sh install_dir.sh
-pkg_config_path := /home/tim/bomi/bomi-0.9.11/build/lib/pkgconfig:/opt/ffmpeg-bomi/lib/pkgconfig:/opt/libass-bomi/lib/pkgconfig:
+pkg_config_path := /home/tim/bomi/bomi-master/build/lib/pkgconfig:/opt/ffmpeg-bomi/lib/pkgconfig:/opt/libass-bomi/lib/pkgconfig:
 
 prefix := /usr
 qmake := qmake -spec linux-g++ BOMI_RELEASE=1

=== src/mpv/wscript ===
--- 
+++ 
@@ -83,7 +83,7 @@
     }, {
         'name': '--test',
         'desc': 'test suite (using cmocka)',
-        'func': check_pkg_config('cmocka', '>= 0.4.1'),
+        'func': check_pkg_config('cmocka', '>= 1.0.0'),
         'default': 'disable',
     }, {
         'name': '--clang-database',

=== debian/changelog ===
bomi (0.9.11mx19) mx; urgency=medium

  * Forward port for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 06 Jun 2020 13:39:08 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  , yasm, zlib1g-dev, libx11-dev, libdvdread-dev, libdvdnav-dev
  , libcdio-dev, libcdio-paranoia-dev, libcdio-cdda-dev
  , libasound2-dev, libva-dev, libvdpau-dev, libchardet
- , libbz2-dev, libjack-dev, libavfilter-dev, libmpv-dev
+ , libbz2-dev, libjack-jackd2-dev, libavfilter-dev, libmpv-dev
  , libpulse-dev, libxcb-icccm4-dev, libgnutls28-dev, libsmbclient-dev
  , libxcb-util0-dev, libxcb-randr0-dev, libxcb-screensaver0-dev
- , libxcb-xtest0-dev, libsmbclient-dev, qt5-default, ffmpeg, libx264-dev, libvorbis-dev, libvpx-dev, libmp3lame-dev, g++-4.9
+ , libxcb-xtest0-dev, libsmbclient-dev, qt5-default, ffmpeg, libx264-dev, libvorbis-dev, libvpx-dev, libmp3lame-dev, g++-8
 
 Package: bomi
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 override_dh_auto_configure:
 	./configure --prefix=/usr
-
+	
 override_dh_auto_install:
 	make DEST_DIR=debian/bomi install
